package com.fq.channel.sdk.base.bean;

/**
 * Created by Ethan on 2017/8/17.
 * 提供个CP传入支付信息
 */

public class PaymentInfo {


    /**
     * 订单号
     */
    private String cpOrderId = "cpOrderId" ;
    /**
     * 商品价格。
     */
    private String price = "price" ;
    /**
     * 商品ID.
     */
    private String productId = "productId" ;
    /**
     * 商品名称
     */
    private String productName = "productName" ;
    /**
     * 商品描述
     */
    private String productDes = "productDes" ;
    /**
     * 商品单位，例如金币，钻石。
     */
    private String productUnit = "productUnit" ;
    /**
     * 服务器Id
     */
    private String serverId = "serverId" ;
    /**
     * 拓展字段
     */
    private String extralInfo = "extralInfo" ;
    /**
     * 商品量词，例：一张/一个
     */
    private String quantifier = "quantifier" ;
    /**
     * 兑换比例。
     */
    private String rate = "rate" ;
    /**
     * 计费ID
     */
    private String chargeId = "chargeId" ;
    /**
     * 透传字段
     */
    private String remark = "remark" ;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCpOrderId() {
        return cpOrderId;
    }

    public void setCpOrderId(String cpOrderId) {
        this.cpOrderId = cpOrderId;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductDes() {
        return productDes;
    }

    public void setProductDes(String productDes) {
        this.productDes = productDes;
    }

    public String getProductUnit() {
        return productUnit;
    }

    public void setProductUnit(String productUnit) {
        this.productUnit = productUnit;
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public String getExtralInfo() {
        return extralInfo;
    }

    public void setExtralInfo(String extralInfo) {
        this.extralInfo = extralInfo;
    }

    public String getQuantifier() {
        return quantifier;
    }

    public void setQuantifier(String quantifier) {
        this.quantifier = quantifier;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getChargeId() {
        return chargeId;
    }

    public void setChargeId(String chargeId) {
        this.chargeId = chargeId;
    }
}
